Index: contrib/Pallet/English.lproj/MainMenu.xib
===================================================================
--- contrib/Pallet/English.lproj/MainMenu.xib	(revision 65496)
+++ contrib/Pallet/English.lproj/MainMenu.xib	(revision 72223)
@@ -1269,5 +1527,5 @@
 																					<reference key="NSMixedImage" ref="566991132"/>
 																					<string key="NSAction">_popUpItemAction:</string>
-																					<reference key="NSRepObject" ref="9"/>
+																					<integer value="1" key="NSRepObject"/>
 																					<reference key="NSTarget" ref="699711605"/>
 																				</object>
@@ -1287,5 +1545,5 @@
 																							<reference key="NSMixedImage" ref="566991132"/>
 																							<string key="NSAction">_popUpItemAction:</string>
-																							<integer value="2" key="NSRepObject" id="10"/>
+																							<integer value="2" key="NSRepObject"/>
 																							<reference key="NSTarget" ref="699711605"/>
 																						</object>
@@ -1299,9 +1557,9 @@
 																		</object>
 																		<object class="NSPopUpButton" id="471209054">
-																			<reference key="NSNextResponder" ref="277972727"/>
+																			<reference key="NSNextResponder" ref="380709887"/>
 																			<int key="NSvFlags">256</int>
 																			<string key="NSFrame">{{71, 3}, {167, 19}}</string>
-																			<reference key="NSSuperview" ref="277972727"/>
-																			<reference key="NSNextKeyView" ref="645964487"/>
+																			<reference key="NSSuperview" ref="380709887"/>
+																			<reference key="NSNextKeyView" ref="264617949"/>
 																			<int key="NSTag">-1</int>
 																			<bool key="NSEnabled">YES</bool>
@@ -1361,7 +1619,7 @@
 																	<object class="NSMutableArray" key="NSRuleOptionItems">
 																		<bool key="EncodedWithXMLCoder">YES</bool>
-																		<object class="NSMutableDictionary" id="850630205">
+																		<object class="NSMutableDictionary" id="100776593">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>depth</string>
@@ -1370,5 +1628,5 @@
 																			<object class="NSMutableArray" key="dict.values">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
-																				<reference ref="9"/>
+																				<integer value="1"/>
 																				<object class="NSPredicateEditorRowTemplate" id="715417482">
 																					<int key="NSPredicateTemplateType">2</int>
@@ -1387,7 +1645,7 @@
 																			</object>
 																		</object>
-																		<object class="NSMutableDictionary" id="670834164">
+																		<object class="NSMutableDictionary" id="831402257">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>depth</string>
@@ -1396,5 +1654,5 @@
 																			<object class="NSMutableArray" key="dict.values">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
-																				<reference ref="10"/>
+																				<integer value="2"/>
 																				<reference ref="715417482"/>
 																			</object>
@@ -1404,21 +1662,21 @@
 																	<string key="NSRuleOptionInitialFrames.0">{{7, 3}, {58, 19}}</string>
 																	<string key="NSRuleOptionInitialFrames.1">{{71, 3}, {167, 19}}</string>
-																	<reference key="NSRuleOptionAddButton" ref="339632689"/>
-																	<reference key="NSRuleOptionSubtractButton" ref="645964487"/>
+																	<reference key="NSRuleOptionAddButton" ref="667464776"/>
+																	<reference key="NSRuleOptionSubtractButton" ref="264617949"/>
 																	<int key="NSRuleOptionRowType">0</int>
 																	<int key="NSRuleOptionPlusButtonRowType">0</int>
 																	<bool key="NSRuleOptionEditable">YES</bool>
 																</object>
-																<object class="NSRuleEditorViewSliceRow" id="602619092">
+																<object class="NSRuleEditorViewSliceRow" id="937158238">
 																	<reference key="NSNextResponder" ref="887125716"/>
 																	<int key="NSvFlags">290</int>
 																	<object class="NSMutableArray" key="NSSubviews">
 																		<bool key="EncodedWithXMLCoder">YES</bool>
-																		<object class="NSButton" id="989806850">
-																			<reference key="NSNextResponder" ref="602619092"/>
+																		<object class="NSButton" id="716220868">
+																			<reference key="NSNextResponder" ref="937158238"/>
 																			<int key="NSvFlags">257</int>
 																			<string key="NSFrame">{{741, 4}, {18, 18}}</string>
-																			<reference key="NSSuperview" ref="602619092"/>
-																			<reference key="NSNextKeyView" ref="588138263"/>
+																			<reference key="NSSuperview" ref="937158238"/>
+																			<reference key="NSNextKeyView" ref="269605618"/>
 																			<int key="NSTag">-1</int>
 																			<bool key="NSEnabled">YES</bool>
@@ -1428,7 +1686,23 @@
 																				<string key="NSContents">+</string>
 																				<reference key="NSSupport" ref="29"/>
+																				<object class="NSMutableArray" key="NSAccessibilityOverriddenAttributes">
+																					<bool key="EncodedWithXMLCoder">YES</bool>
+																					<object class="NSMutableDictionary">
+																						<bool key="EncodedWithXMLCoder">YES</bool>
+																						<object class="NSArray" key="dict.sortedKeys">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>AXDescription</string>
+																							<string>NSAccessibilityEncodedAttributesValueType</string>
+																						</object>
+																						<object class="NSMutableArray" key="dict.values">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>add</string>
+																							<integer value="1"/>
+																						</object>
+																					</object>
+																				</object>
+																				<reference key="NSControlView" ref="716220868"/>
 																				<string key="NSAction">_addOption:</string>
-																				<reference key="NSTarget" ref="602619092"/>
-																				<reference key="NSControlView" ref="989806850"/>
+																				<reference key="NSTarget" ref="937158238"/>
 																				<int key="NSButtonFlags">-2038284033</int>
 																				<int key="NSButtonFlags2">36</int>
@@ -1439,10 +1713,10 @@
 																			</object>
 																		</object>
-																		<object class="NSButton" id="4492186">
-																			<reference key="NSNextResponder" ref="602619092"/>
+																		<object class="NSButton" id="88012141">
+																			<reference key="NSNextResponder" ref="937158238"/>
 																			<int key="NSvFlags">257</int>
 																			<string key="NSFrame">{{721, 4}, {18, 18}}</string>
-																			<reference key="NSSuperview" ref="602619092"/>
-																			<reference key="NSNextKeyView" ref="989806850"/>
+																			<reference key="NSSuperview" ref="937158238"/>
+																			<reference key="NSNextKeyView" ref="716220868"/>
 																			<int key="NSTag">-1</int>
 																			<bool key="NSEnabled">YES</bool>
@@ -1452,7 +1726,23 @@
 																				<string key="NSContents">-</string>
 																				<reference key="NSSupport" ref="29"/>
+																				<object class="NSMutableArray" key="NSAccessibilityOverriddenAttributes">
+																					<bool key="EncodedWithXMLCoder">YES</bool>
+																					<object class="NSMutableDictionary">
+																						<bool key="EncodedWithXMLCoder">YES</bool>
+																						<object class="NSArray" key="dict.sortedKeys">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>AXDescription</string>
+																							<string>NSAccessibilityEncodedAttributesValueType</string>
+																						</object>
+																						<object class="NSMutableArray" key="dict.values">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>remove</string>
+																							<integer value="1"/>
+																						</object>
+																					</object>
+																				</object>
+																				<reference key="NSControlView" ref="88012141"/>
 																				<string key="NSAction">_deleteOption:</string>
-																				<reference key="NSTarget" ref="602619092"/>
-																				<reference key="NSControlView" ref="4492186"/>
+																				<reference key="NSTarget" ref="937158238"/>
 																				<int key="NSButtonFlags">-2038284033</int>
 																				<int key="NSButtonFlags2">36</int>
@@ -1464,8 +1754,8 @@
 																		</object>
 																		<object class="NSPopUpButton" id="677349919">
-																			<reference key="NSNextResponder" ref="602619092"/>
+																			<reference key="NSNextResponder" ref="937158238"/>
 																			<int key="NSvFlags">256</int>
 																			<string key="NSFrame">{{37, 3}, {76, 19}}</string>
-																			<reference key="NSSuperview" ref="602619092"/>
+																			<reference key="NSSuperview" ref="937158238"/>
 																			<reference key="NSNextKeyView" ref="855084085"/>
 																			<int key="NSTag">-1</int>
@@ -1478,5 +1768,5 @@
 																					<int key="NSExpressionType">3</int>
 																					<string key="NSSelectorName">valueForKey:</string>
-																					<object class="NSSelfExpression" key="NSOperand">
+																					<object class="NSSelfExpression" key="NSOperand" id="563127027">
 																						<int key="NSExpressionType">1</int>
 																					</object>
@@ -1527,7 +1817,5 @@
 																								<int key="NSExpressionType">3</int>
 																								<string key="NSSelectorName">valueForKey:</string>
-																								<object class="NSSelfExpression" key="NSOperand">
-																									<int key="NSExpressionType">1</int>
-																								</object>
+																								<reference key="NSOperand" ref="563127027"/>
 																								<object class="NSMutableArray" key="NSArguments">
 																									<bool key="EncodedWithXMLCoder">YES</bool>
@@ -1549,8 +1837,8 @@
 																		</object>
 																		<object class="NSPopUpButton" id="855084085">
-																			<reference key="NSNextResponder" ref="602619092"/>
+																			<reference key="NSNextResponder" ref="937158238"/>
 																			<int key="NSvFlags">256</int>
 																			<string key="NSFrame">{{119, 3}, {95, 19}}</string>
-																			<reference key="NSSuperview" ref="602619092"/>
+																			<reference key="NSSuperview" ref="937158238"/>
 																			<reference key="NSNextKeyView" ref="309287992"/>
 																			<int key="NSTag">-1</int>
@@ -1560,5 +1848,5 @@
 																				<int key="NSCellFlags2">4196352</int>
 																				<reference key="NSSupport" ref="26"/>
-																				<integer value="99" key="NSRepresentedObject" id="733886263"/>
+																				<integer value="99" key="NSRepresentedObject"/>
 																				<reference key="NSControlView" ref="855084085"/>
 																				<int key="NSButtonFlags">-2038284033</int>
@@ -1578,5 +1866,5 @@
 																					<reference key="NSMixedImage" ref="566991132"/>
 																					<string key="NSAction">_popUpItemAction:</string>
-																					<reference key="NSRepObject" ref="733886263"/>
+																					<integer value="99" key="NSRepObject"/>
 																					<reference key="NSTarget" ref="108954362"/>
 																				</object>
@@ -1620,5 +1908,5 @@
 																							<reference key="NSMixedImage" ref="566991132"/>
 																							<string key="NSAction">_popUpItemAction:</string>
-																							<integer value="4" key="NSRepObject" id="12"/>
+																							<integer value="4" key="NSRepObject"/>
 																							<reference key="NSTarget" ref="108954362"/>
 																						</object>
@@ -1644,9 +1932,9 @@
 																		</object>
 																		<object class="NSTextField" id="309287992">
-																			<reference key="NSNextResponder" ref="602619092"/>
+																			<reference key="NSNextResponder" ref="937158238"/>
 																			<int key="NSvFlags">256</int>
 																			<string key="NSFrame">{{220, 4}, {61, 18}}</string>
-																			<reference key="NSSuperview" ref="602619092"/>
-																			<reference key="NSNextKeyView" ref="4492186"/>
+																			<reference key="NSSuperview" ref="937158238"/>
+																			<reference key="NSNextKeyView" ref="88012141"/>
 																			<bool key="NSEnabled">YES</bool>
 																			<object class="NSTextFieldCell" key="NSCell">
@@ -1681,7 +1969,7 @@
 																	<object class="NSMutableArray" key="NSRuleOptionItems">
 																		<bool key="EncodedWithXMLCoder">YES</bool>
-																		<object class="NSMutableDictionary" id="232347375">
+																		<object class="NSMutableDictionary" id="449335730">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>depth</string>
@@ -1690,5 +1978,5 @@
 																			<object class="NSMutableArray" key="dict.values">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
-																				<reference ref="9"/>
+																				<integer value="1"/>
 																				<object class="NSPredicateEditorRowTemplate" id="755579174">
 																					<int key="NSPredicateTemplateType">1</int>
@@ -1708,7 +1996,7 @@
 																			</object>
 																		</object>
-																		<object class="NSMutableDictionary" id="308893877">
+																		<object class="NSMutableDictionary" id="820714418">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>depth</string>
@@ -1717,11 +2005,11 @@
 																			<object class="NSMutableArray" key="dict.values">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
-																				<reference ref="10"/>
+																				<integer value="2"/>
 																				<reference ref="755579174"/>
 																			</object>
 																		</object>
-																		<object class="NSMutableDictionary" id="831670491">
+																		<object class="NSMutableDictionary" id="607408078">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>depth</string>
@@ -1730,5 +2018,5 @@
 																			<object class="NSMutableArray" key="dict.values">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
-																				<integer value="3" id="11"/>
+																				<integer value="3"/>
 																				<reference ref="755579174"/>
 																			</object>
@@ -1739,20 +2027,20 @@
 																	<string key="NSRuleOptionInitialFrames.1">{{119, 3}, {95, 19}}</string>
 																	<string key="NSRuleOptionInitialFrames.2">{{220, 4}, {61, 18}}</string>
-																	<reference key="NSRuleOptionAddButton" ref="989806850"/>
-																	<reference key="NSRuleOptionSubtractButton" ref="4492186"/>
+																	<reference key="NSRuleOptionAddButton" ref="716220868"/>
+																	<reference key="NSRuleOptionSubtractButton" ref="88012141"/>
 																	<int key="NSRuleOptionRowType">0</int>
 																	<int key="NSRuleOptionPlusButtonRowType">0</int>
 																	<bool key="NSRuleOptionEditable">YES</bool>
 																</object>
-																<object class="NSRuleEditorViewSliceRow" id="588138263">
+																<object class="NSRuleEditorViewSliceRow" id="269605618">
 																	<reference key="NSNextResponder" ref="887125716"/>
 																	<int key="NSvFlags">290</int>
 																	<object class="NSMutableArray" key="NSSubviews">
 																		<bool key="EncodedWithXMLCoder">YES</bool>
-																		<object class="NSButton" id="297165836">
-																			<reference key="NSNextResponder" ref="588138263"/>
+																		<object class="NSButton" id="25036754">
+																			<reference key="NSNextResponder" ref="269605618"/>
 																			<int key="NSvFlags">257</int>
 																			<string key="NSFrame">{{741, 4}, {18, 18}}</string>
-																			<reference key="NSSuperview" ref="588138263"/>
+																			<reference key="NSSuperview" ref="269605618"/>
 																			<reference key="NSNextKeyView" ref="872100568"/>
 																			<int key="NSTag">-1</int>
@@ -1763,7 +2051,23 @@
 																				<string key="NSContents">+</string>
 																				<reference key="NSSupport" ref="29"/>
+																				<object class="NSMutableArray" key="NSAccessibilityOverriddenAttributes">
+																					<bool key="EncodedWithXMLCoder">YES</bool>
+																					<object class="NSMutableDictionary">
+																						<bool key="EncodedWithXMLCoder">YES</bool>
+																						<object class="NSArray" key="dict.sortedKeys">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>AXDescription</string>
+																							<string>NSAccessibilityEncodedAttributesValueType</string>
+																						</object>
+																						<object class="NSMutableArray" key="dict.values">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>add</string>
+																							<integer value="1"/>
+																						</object>
+																					</object>
+																				</object>
+																				<reference key="NSControlView" ref="25036754"/>
 																				<string key="NSAction">_addOption:</string>
-																				<reference key="NSTarget" ref="588138263"/>
-																				<reference key="NSControlView" ref="297165836"/>
+																				<reference key="NSTarget" ref="269605618"/>
 																				<int key="NSButtonFlags">-2038284033</int>
 																				<int key="NSButtonFlags2">36</int>
@@ -1774,10 +2078,10 @@
 																			</object>
 																		</object>
-																		<object class="NSButton" id="234201907">
-																			<reference key="NSNextResponder" ref="588138263"/>
+																		<object class="NSButton" id="109434387">
+																			<reference key="NSNextResponder" ref="269605618"/>
 																			<int key="NSvFlags">257</int>
 																			<string key="NSFrame">{{721, 4}, {18, 18}}</string>
-																			<reference key="NSSuperview" ref="588138263"/>
-																			<reference key="NSNextKeyView" ref="297165836"/>
+																			<reference key="NSSuperview" ref="269605618"/>
+																			<reference key="NSNextKeyView" ref="25036754"/>
 																			<int key="NSTag">-1</int>
 																			<bool key="NSEnabled">YES</bool>
@@ -1787,7 +2091,23 @@
 																				<string key="NSContents">-</string>
 																				<reference key="NSSupport" ref="29"/>
+																				<object class="NSMutableArray" key="NSAccessibilityOverriddenAttributes">
+																					<bool key="EncodedWithXMLCoder">YES</bool>
+																					<object class="NSMutableDictionary">
+																						<bool key="EncodedWithXMLCoder">YES</bool>
+																						<object class="NSArray" key="dict.sortedKeys">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>AXDescription</string>
+																							<string>NSAccessibilityEncodedAttributesValueType</string>
+																						</object>
+																						<object class="NSMutableArray" key="dict.values">
+																							<bool key="EncodedWithXMLCoder">YES</bool>
+																							<string>remove</string>
+																							<integer value="1"/>
+																						</object>
+																					</object>
+																				</object>
+																				<reference key="NSControlView" ref="109434387"/>
 																				<string key="NSAction">_deleteOption:</string>
-																				<reference key="NSTarget" ref="588138263"/>
-																				<reference key="NSControlView" ref="234201907"/>
+																				<reference key="NSTarget" ref="269605618"/>
 																				<int key="NSButtonFlags">-2038284033</int>
 																				<int key="NSButtonFlags2">36</int>
@@ -1799,8 +2119,8 @@
 																		</object>
 																		<object class="NSPopUpButton" id="974900885">
-																			<reference key="NSNextResponder" ref="588138263"/>
+																			<reference key="NSNextResponder" ref="269605618"/>
 																			<int key="NSvFlags">256</int>
 																			<string key="NSFrame">{{37, 3}, {64, 19}}</string>
-																			<reference key="NSSuperview" ref="588138263"/>
+																			<reference key="NSSuperview" ref="269605618"/>
 																			<reference key="NSNextKeyView" ref="207821348"/>
 																			<int key="NSTag">-1</int>
@@ -1813,7 +2133,5 @@
 																					<int key="NSExpressionType">3</int>
 																					<string key="NSSelectorName">valueForKey:</string>
-																					<object class="NSSelfExpression" key="NSOperand">
-																						<int key="NSExpressionType">1</int>
-																					</object>
+																					<reference key="NSOperand" ref="563127027"/>
 																					<object class="NSMutableArray" key="NSArguments">
 																						<bool key="EncodedWithXMLCoder">YES</bool>
@@ -1859,8 +2177,8 @@
 																		</object>
 																		<object class="NSPopUpButton" id="207821348">
-																			<reference key="NSNextResponder" ref="588138263"/>
+																			<reference key="NSNextResponder" ref="269605618"/>
 																			<int key="NSvFlags">256</int>
 																			<string key="NSFrame">{{107, 3}, {46, 19}}</string>
-																			<reference key="NSSuperview" ref="588138263"/>
+																			<reference key="NSSuperview" ref="269605618"/>
 																			<reference key="NSNextKeyView" ref="11724982"/>
 																			<int key="NSTag">-1</int>
@@ -1870,5 +2188,5 @@
 																				<int key="NSCellFlags2">4196352</int>
 																				<reference key="NSSupport" ref="26"/>
-																				<reference key="NSRepresentedObject" ref="12"/>
+																				<integer value="4" key="NSRepresentedObject"/>
 																				<reference key="NSControlView" ref="207821348"/>
 																				<int key="NSButtonFlags">-2038284033</int>
@@ -1888,5 +2206,5 @@
 																					<reference key="NSMixedImage" ref="566991132"/>
 																					<string key="NSAction">_popUpItemAction:</string>
-																					<reference key="NSRepObject" ref="12"/>
+																					<integer value="4" key="NSRepObject"/>
 																					<reference key="NSTarget" ref="898314192"/>
 																				</object>
@@ -1906,9 +2224,9 @@
 																		</object>
 																		<object class="NSPopUpButton" id="11724982">
-																			<reference key="NSNextResponder" ref="588138263"/>
+																			<reference key="NSNextResponder" ref="269605618"/>
 																			<int key="NSvFlags">256</int>
 																			<string key="NSFrame">{{159, 3}, {155, 19}}</string>
-																			<reference key="NSSuperview" ref="588138263"/>
-																			<reference key="NSNextKeyView" ref="234201907"/>
+																			<reference key="NSSuperview" ref="269605618"/>
+																			<reference key="NSNextKeyView" ref="109434387"/>
 																			<int key="NSTag">-1</int>
 																			<bool key="NSEnabled">YES</bool>
@@ -2020,7 +2338,7 @@
 																	<object class="NSMutableArray" key="NSRuleOptionItems">
 																		<bool key="EncodedWithXMLCoder">YES</bool>
-																		<object class="NSMutableDictionary" id="375100135">
+																		<object class="NSMutableDictionary" id="171116946">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>depth</string>
@@ -2029,5 +2347,5 @@
 																			<object class="NSMutableArray" key="dict.values">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
-																				<reference ref="9"/>
+																				<integer value="1"/>
 																				<object class="NSPredicateEditorRowTemplate" id="385089462">
 																					<int key="NSPredicateTemplateType">1</int>
@@ -2047,7 +2365,7 @@
 																			</object>
 																		</object>
-																		<object class="NSMutableDictionary" id="1016684085">
+																		<object class="NSMutableDictionary" id="911635573">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>depth</string>
@@ -2056,11 +2374,11 @@
 																			<object class="NSMutableArray" key="dict.values">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
-																				<reference ref="10"/>
+																				<integer value="2"/>
 																				<reference ref="385089462"/>
 																			</object>
 																		</object>
-																		<object class="NSMutableDictionary" id="247503625">
+																		<object class="NSMutableDictionary" id="426520134">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>depth</string>
@@ -2069,5 +2387,5 @@
 																			<object class="NSMutableArray" key="dict.values">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
-																				<reference ref="11"/>
+																				<integer value="3"/>
 																				<reference ref="385089462"/>
 																			</object>
@@ -2078,6 +2396,6 @@
 																	<string key="NSRuleOptionInitialFrames.1">{{107, 3}, {46, 19}}</string>
 																	<string key="NSRuleOptionInitialFrames.2">{{159, 3}, {155, 19}}</string>
-																	<reference key="NSRuleOptionAddButton" ref="297165836"/>
-																	<reference key="NSRuleOptionSubtractButton" ref="234201907"/>
+																	<reference key="NSRuleOptionAddButton" ref="25036754"/>
+																	<reference key="NSRuleOptionSubtractButton" ref="109434387"/>
 																	<int key="NSRuleOptionRowType">0</int>
 																	<int key="NSRuleOptionPlusButtonRowType">0</int>
@@ -2087,5 +2405,5 @@
 															<string key="NSFrame">{{1, 1}, {769, 73}}</string>
 															<reference key="NSSuperview" ref="872100568"/>
-															<reference key="NSNextKeyView" ref="277972727"/>
+															<reference key="NSNextKeyView" ref="380709887"/>
 														</object>
 													</object>
@@ -2101,6 +2419,6 @@
 													<reference key="NSNextKeyView" ref="887125716"/>
 													<bool key="NSEnabled">YES</bool>
-													<double key="NSRuleEditorAlignmentGridWidth">7.500000e+01</double>
-													<double key="NSRuleEditorSliceHeight">2.500000e+01</double>
+													<double key="NSRuleEditorAlignmentGridWidth">75</double>
+													<double key="NSRuleEditorSliceHeight">25</double>
 													<bool key="NSRuleEditorEditable">YES</bool>
 													<bool key="NSRuleEditorAllowsEmptyCompoundRows">NO</bool>
@@ -2120,5 +2438,5 @@
 															<object class="NSMutableDictionary">
 																<bool key="EncodedWithXMLCoder">YES</bool>
-																<object class="NSMutableArray" key="dict.sortedKeys">
+																<object class="NSArray" key="dict.sortedKeys">
 																	<bool key="EncodedWithXMLCoder">YES</bool>
 																	<string>criteria</string>
@@ -2131,6 +2449,6 @@
 																	<object class="NSMutableArray">
 																		<bool key="EncodedWithXMLCoder">YES</bool>
-																		<reference ref="850630205"/>
-																		<reference ref="670834164"/>
+																		<reference ref="100776593"/>
+																		<reference ref="831402257"/>
 																	</object>
 																	<object class="NSMutableArray">
@@ -2139,10 +2457,10 @@
 																		<reference ref="471209054"/>
 																	</object>
-																	<reference ref="9"/>
+																	<integer value="1"/>
 																	<object class="NSMutableArray">
 																		<bool key="EncodedWithXMLCoder">YES</bool>
 																		<object class="NSMutableDictionary">
 																			<bool key="EncodedWithXMLCoder">YES</bool>
-																			<object class="NSMutableArray" key="dict.sortedKeys">
+																			<object class="NSArray" key="dict.sortedKeys">
 																				<bool key="EncodedWithXMLCoder">YES</bool>
 																				<string>criteria</string>
@@ -2155,7 +2473,7 @@
 																				<object class="NSMutableArray">
 																					<bool key="EncodedWithXMLCoder">YES</bool>
-																					<reference ref="232347375"/>
-																					<reference ref="308893877"/>
-																					<reference ref="831670491"/>
+																					<reference ref="449335730"/>
+																					<reference ref="820714418"/>
+																					<reference ref="607408078"/>
 																				</object>
 																				<object class="NSMutableArray">
@@ -2165,5 +2483,5 @@
 																					<reference ref="309287992"/>
 																				</object>
-																				<integer value="0" id="8"/>
+																				<integer value="0"/>
 																				<object class="NSMutableArray">
 																					<bool key="EncodedWithXMLCoder">YES</bool>
